<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" 
         xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:m="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook"
         xml:id="migration.versionAPI">
  <info>
    <title>API versions of the Java EE components</title>
  </info>

  <informaltable>
    <tgroup cols="3">
      <colspec align="center" />

      <thead>
        <row>
          <entry align="center">API  </entry>

          <entry align="center">JOnAS 4.x </entry>

          <entry>JOnAS 5.x</entry>
        </row>
      </thead>

      <tbody>
        <row>
          <entry>JDK</entry>

          <entry>1.4</entry>

          <entry>1.5</entry>
        </row>

        <row>
          <entry>JNDI</entry>

          <entry>1.2</entry>

          <entry>1.2</entry>
        </row>

        <row>
          <entry>EJB</entry>

          <entry>2.1</entry>

          <entry>3.0</entry>
        </row>

        <row>
          <entry>Servlet</entry>

          <entry>2.4</entry>

          <entry>2.5</entry>
        </row>

        <row>
          <entry>JSP</entry>

          <entry>2.0</entry>

          <entry>2.1</entry>
        </row>

        <row>
          <entry>JMS</entry>

          <entry>1.1</entry>

          <entry>1.1</entry>
        </row>

        <row>
          <entry>Connector Architecture</entry>

          <entry>1.5</entry>

          <entry>1.5</entry>
        </row>

        <row>
          <entry>JDBC</entry>

          <entry>3.0</entry>

          <entry>3.0</entry>
        </row>

        <row>
          <entry>JavaMail</entry>

          <entry>1.3.1</entry>

          <entry>1.4</entry>
        </row>

        <row>
          <entry>JavaBeans Activation Framework</entry>

          <entry>1.0</entry>

          <entry>1.1.1</entry>
        </row>

        <row>
          <entry>JTA</entry>

          <entry>1.0.1B</entry>

          <entry>1.1</entry>
        </row>

        <row>
          <entry>JTS</entry>

          <entry>1.0</entry>

          <entry>1.0</entry>
        </row>

        <row>
          <entry>JAX-RPC</entry>

          <entry>1.1</entry>

          <entry>1.1</entry>
        </row>

        <row>
          <entry>SAAJ</entry>

          <entry>1.2</entry>

          <entry>1.3</entry>
        </row>

        <row>
          <entry>JAXR</entry>

          <entry>1.0</entry>

          <entry>1.0</entry>
        </row>

        <row>
          <entry>JWSDL</entry>

          <entry>1.0</entry>

          <entry>1.0</entry>
        </row>

        <row>
          <entry>JAXP</entry>

          <entry>1.2</entry>

          <entry>1.3</entry>
        </row>

        <row>
          <entry>J2EE_Deployment</entry>

          <entry>1.1</entry>

          <entry>1.1</entry>
        </row>

        <row>
          <entry>J2EE_Mgmt</entry>

          <entry>1.0</entry>

          <entry>1.0</entry>
        </row>

        <row>
          <entry>JACC</entry>

          <entry>1.0</entry>

          <entry>1.1</entry>
        </row>

        <row>
          <entry>JAAS</entry>

          <entry>1.0</entry>

          <entry>1.0</entry>
        </row>

        <row>
          <entry>JAX-WS</entry>

          <entry>n/a</entry>

          <entry>2.1</entry>
        </row>

         <row>
          <entry>JAXB</entry>

          <entry>n/a</entry>

          <entry>2.1</entry>
        </row>
        <row>
          <entry>JSF</entry>

          <entry>n/a</entry>

          <entry>1.2</entry>
        </row>

        <row>
          <entry>JSTL</entry>

          <entry>n/a</entry>

          <entry>1.2</entry>
        </row>

        <row>
          <entry>JPA</entry>

          <entry>n/a</entry>

          <entry>1.0</entry>
        </row>
      </tbody>
    </tgroup>
  </informaltable>
</section>